Bug 471332 - In the VM Universe disk size matters
In the VM Universe disk size matters
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
1.0
All Linux
urgent Severity urgent
: 1.1
: ---
Assigned To: Matthew Farrellee
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-12 19:35 EST by Matthew Farrellee
Modified: 2009-02-04 11:03 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 11:03:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Farrellee 2008-11-12 19:35:41 EST
Description of problem:

VMGAHP[pid]: File(.../bigfile) can't be modified
VMGAHP[pid]: xen disk image file('.../bigfile') cannot be modified
VMGAHP[pid]: xen disk format(.../bigfile:hda1:w) is incorrect

But, the file is perfectly modifiable.


Version-Release number of selected component (if applicable):

7.1.4-0.4, possibly a regression from 7.0.4


How reproducible:

Always


Steps to Reproduce:
1.create a bigfile that is >4GB or so (dd helps)
2.submit a vm with the bigfile as the disk
    universe = vm
    vm_type = xen
    vm_memory = 512
    xen_kernel = included
    xen_disk = bigfile:hda1:w
    executable = Test Xen Job
    queue
3.watch the job get held and the VMGahpLog report the messages above
 

Additional info:

This appears to be an issue with stat. vmgahp_common.C:check_vm_write_access_file calls access (sickeningly #define'd to access_euid) which calls stat which fails with errno 75, aka EOVERFLOW. gdb inspection shows that the stat struct is populated but the size is overflowed.
Comment 1 Matthew Farrellee 2008-11-14 23:35:39 EST
addressed in condor 7.1.4-1
Comment 4 errata-xmlrpc 2009-02-04 11:03:54 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0036.html

Note You need to log in before you can comment on or make changes to this bug.